# PSF-LoginServer - master - net.psforever.objects.geometry.d3.Sphere
PSF - LoginServer - master - net.psforever.objects.geometry.d3.Sphere
Keywords: PSF LoginServer master net.psforever.objects.geometry.d3.Sphere

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package geometry
  Definition Classes
    objects
-  package d3
  Definition Classes
    geometry
- Cuboid
- Cylinder
- Geometry3D
- Line
- Point
- Ray
- Segment
- Sphere
- VolumetricGeometry

c

net.psforever.objects.geometry.d3

# Sphere 

###
Companion object Sphere

#### final case class Sphere(p: Point, radius: Float) extends VolumetricGeometry with Product with Serializable

The instance of a volumetric region that encapsulates all points within a certain distance of a central point. (That's what a sphere is.) When described by its center point, a sphere has no distinct "top", "base", or "side"; all directions are described in the same way in reference to this center. It can be considered having a "base" and other "faces" for the purposes of settling on a surface (the ground).

p

  the point

radius

  a distance that spans all points in any direction from the central point

Source
  Sphere.scala

Linear Supertypes
Serializable, Product, Equals, VolumetricGeometry, Geometry3D, PrimitiveGeometry, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Sphere
2. Serializable
3. Product
4. Equals
5. VolumetricGeometry
6. Geometry3D
7. PrimitiveGeometry
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new Sphere(p: Point, radius: Float)

   p

     the point

   radius

     a distance that spans all points in any direction from the central point

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def center: Point

   The centroid of the geometry.

   The centroid of the geometry.

   returns

     a point

   Definition Classes
     Sphere → Geometry3D → PrimitiveGeometry
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
9.  final def getClass(): Class[_ <: AnyRef]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
11.  def moveCenter(point: geometry.Point): Sphere

    Move the centroid of the shape to the given point

    Move the centroid of the shape to the given point

    point

      the new center point

    returns

      geometry centered on the new point; ideally, should be the same type of geometry as the original object

    Definition Classes
      Sphere → VolumetricGeometry → Geometry3D → PrimitiveGeometry
12.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
14.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  val p: Point
16.  def pointOnOutside(v: Vector3): Point

    Find a point on the exterior of the geometry if a line was drawn outwards from the centroid.

    Find a point on the exterior of the geometry if a line was drawn outwards from the centroid. All points that exist on the exterior of a sphere are on the surface of that sphere and are equally distant from the central point.

    v

      the vector in the direction of the point on the exterior

    returns

      a point

    Definition Classes
      Sphere → VolumetricGeometry
17.  def productElementNames: Iterator[String]
    Definition Classes
      Product
18.  val radius: Float
19.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
20.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
21.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from VolumetricGeometry

### Inherited from Geometry3D

### Inherited from PrimitiveGeometry

### Inherited from AnyRef

### Inherited from Any

### Ungrouped